summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJimi Huotari <chiitoo@gentoo.org>2016-10-06 21:00:42 +0300
committerMichael Palimaka <kensington@gentoo.org>2016-12-15 03:20:42 +1100
commit4b635fab780de119cb429836e4ad3df1463d58d2 (patch)
tree66e0588ea8126dbce69838c0d2348370ab57d372 /eclass/qt5-build.eclass
parentnet-analyzer/prometheus: Fix build (diff)
downloadgentoo-4b635fab780de119cb429836e4ad3df1463d58d2.tar.gz
gentoo-4b635fab780de119cb429836e4ad3df1463d58d2.tar.bz2
gentoo-4b635fab780de119cb429836e4ad3df1463d58d2.zip
qt5-build.eclass: fix doc handling in Qt 5.6.2 and later
The global_docs target is not needed any longer due to the following upstream change: http://code.qt.io/cgit/qt/qtbase.git/commit/?id=a7ddef139415f74f9ba8dc84a2f15105149ca5e8 Gentoo-Bug: https://bugs.gentoo.org/596054
Diffstat (limited to 'eclass/qt5-build.eclass')
-rw-r--r--eclass/qt5-build.eclass12
1 files changed, 10 insertions, 2 deletions
diff --git a/eclass/qt5-build.eclass b/eclass/qt5-build.eclass
index 7e9bf41ad75..f22934418b8 100644
--- a/eclass/qt5-build.eclass
+++ b/eclass/qt5-build.eclass
@@ -54,7 +54,8 @@ inherit eutils flag-o-matic toolchain-funcs versionator virtualx
HOMEPAGE="https://www.qt.io/"
QT5_MINOR_VERSION=$(get_version_component_range 2)
-readonly QT5_MINOR_VERSION
+QT5_PATCH_VERSION=$(get_version_component_range 3)
+readonly QT5_MINOR_VERSION QT5_PATCH_VERSION
if [[ ${QT5_MINOR_VERSION} -ge 7 ]]; then
LICENSE="|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3"
@@ -278,9 +279,16 @@ qt5-build_src_install() {
qmake_install_target=sub-qmake-qmake-aux-pro-install_subtargets
fi
+ local global_docs_install_target=
+ if [[ ${QT5_MINOR_VERSION} -le 6 && ${QT5_PATCH_VERSION} -le 2 ]]; then
+ global_docs_install_target=install_global_docs
+ fi
+
set -- emake INSTALL_ROOT="${D}" \
${qmake_install_target} \
- install_{syncqt,mkspecs,global_docs}
+ install_{syncqt,mkspecs} \
+ ${global_docs_install_target}
+
einfo "Running $*"
"$@"